package com.yutou.biliapi.enums;

import lombok.Getter;

@Getter
public enum LiveVideoDefinition {

    LOW(80), // 流畅
    HIGH(150), // 高清
    SUPER(250), // 超清
    BLU_RAY(400), // 蓝光
    ORIGINAL(10000), // 原画
    V4K(20000),
    DOLBY(30000);

    private final int value;

    private LiveVideoDefinition(int value) {
        this.value = value;
    }
    public static String getAll() {
        StringBuilder sb = new StringBuilder();
        for (LiveVideoDefinition value : values()) {
            sb.append(String.valueOf(value.value)).append(",");
        }
        return sb.substring(0, sb.length() - 1);
    }
}
